/*======================================================================
    Silicom SPE driver local structure include file
    Written by Igor Royzis, igor@silicom.co.il

    Revision 1.0 Beta 1999/1/28
======================================================================*/
#ifndef __speloc
#define __speloc


struct spe_local {
      dev_link_t          link;
      int                 interrupt;
      int 		  start;
      struct bus_operations *bus;
      dev_node_t node;
      struct net_device_stats stats;
      unsigned short rx_first;                    // Rx ring buffer start
      unsigned short rx_last;                     // Rx ring buffer end
      unsigned short rx_head;                     // Rx ring buffer head
      unsigned short tx_first;                    // Tx ring buffer start
      unsigned short tx_last;                     // Tx ring buffer end
      unsigned short tx_head;                     // Tx ring buffer head
      unsigned short tx_tail;                     // Tx ring buffer tail
      unsigned short tx_prev;                     // Tx pointer to last sent buffer
      unsigned short tx_prevsize;                 // Last sent buf size (used for chaining)
      unsigned short tx_count;                    // Tx sends active
      unsigned char  curTxCmd;                    // Current Tx command (Xmit, resume xmit)
      unsigned short mem_size;                    // Memory size
      unsigned char  cfgctrl1;                    // Config data1 (used to set/reset promisc)
      unsigned char  cfgctrl2;                    // Config data2 (user to set/reset promisc)
      unsigned short cfgtable[C593TableLength];   // 593 configuration table
      int            cmc_complete;                // Multicast setup indication flag
};

/*
   All the PCMCIA modules use PCMCIA_DEBUG to control debugging.  If
   you do not define PCMCIA_DEBUG at all, all the debug code will be
   left out.  If you compile with PCMCIA_DEBUG=0, the debug code will
   be present but disabled -- but it can then be enabled for specific
   modules at load time with a 'pc_debug=#' option to insmod.
*/
#ifdef PCMCIA_DEBUG
static int pc_debug = PCMCIA_DEBUG;
MODULE_PARM(pc_debug, "i");
//#define DEBUG(n, args...) if (pc_debug>(n)) printk(KERN_DEBUG args)
#define DEBUG(n, args...) { if (pc_debug>(n)) printk(KERN_NOTICE args); }
//#define DEBUG(n, args...) if (pc_debug>(n)) printk(args)
#else
#define DEBUG(n, args...) {}
#endif


#endif
